package com.health.auth.feign;

import com.health.common.domain.User;
import com.health.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;


/**
 * @author Administrator
 */
@FeignClient("base_system")
public interface AuthFeignSystem {

        /**
         * 到系统模块去查找用户
         * @param userName
         * @return result风格的user对象（用户信息）
         */
        @GetMapping("/user/byUserName/{userName}")
        Result<User> byUserName(@PathVariable String userName);


}
